View Issue Details

IDProjectCategoryView StatusLast Update
0013632FPCDocumentationpublic2010-03-07 00:05
ReporterAlexander S. Klenin Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.3.1 
Target Version2.4.0Fixed in Version2.4.0 
Summary0013632: Document inherited for properties
DescriptionNow documentation speaks of inherited only in context of methods.

Besides the description, documentation should contain a warning
that 'inherited' for properties is sometimes complex and non-intuitive.
Examples from http://bugs.freepascal.org/view.php?id=13630
and "Assigning to inherited property calls setter of the child class"
thread on FPC-devel could be used to illustrate.
TagsNo tags attached.
Fixed in Revision588
FPCOldBugId
FPCTarget
Attached Files

Activities

Jonas Maebe

2009-05-01 19:24

manager   ~0027226

http://lists.freepascal.org/lists/fpc-devel/2009-May/016747.html

Michael Van Canneyt

2009-10-17 13:41

administrator   ~0031401

Documented overriding properties, and remarked on the use of virtual getter/setters.

Issue History

Date Modified Username Field Change
2009-05-01 18:58 Alexander S. Klenin New Issue
2009-05-01 18:58 Alexander S. Klenin Status new => assigned
2009-05-01 18:58 Alexander S. Klenin Assigned To => Michael Van Canneyt
2009-05-01 19:24 Jonas Maebe Note Added: 0027226
2009-10-17 13:41 Michael Van Canneyt Fixed in Revision => 588
2009-10-17 13:41 Michael Van Canneyt Status assigned => resolved
2009-10-17 13:41 Michael Van Canneyt Fixed in Version => 2.4.0
2009-10-17 13:41 Michael Van Canneyt Resolution open => fixed
2009-10-17 13:41 Michael Van Canneyt Note Added: 0031401
2009-10-17 13:41 Michael Van Canneyt Target Version => 2.4.0
2010-03-07 00:05 Alexander S. Klenin Status resolved => closed